[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStrCollection.PutItem

Write a null-terminated string to the stream.

## Declaration

Source position: objects.pp line 464

`procedure TStrCollection.PutItem(`
`var S: TStream;`
`Item: Pointer`
`); virtual;`

## Description

PutItem writes the string pointed to by Item to the stream S.

This method is primarily used in the Load and Store methods, and should not be used directly.

## Errors

Errors are those of TStream.StrWrite.

## See also

TStrCollection.GetItem |  | Read a null-terminated string from the stream.

Documentation generated on: Feb 26 2014